Skip to main content
GET
/
ca
/
api
/
get_cash_flow_activity
Get Cash Flow Activity
curl --request GET \
  --url https://api.meetcampfire.com/ca/api/get_cash_flow_activity \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/ca/api/get_cash_flow_activity"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/ca/api/get_cash_flow_activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "transaction_activity": {
    "2024-01-01": {
      "total_debit": 125000,
      "total_credit": -98000
    },
    "2024-02-01": {
      "total_debit": 130000,
      "total_credit": -102000
    }
  }
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

cadence
enum<string>
default:monthly
Available options:
daily,
monthly,
quarterly,
weekly,
yearly
end_date
string<date>

Latest date (inclusive) for which to retrieve data. Defaults to end of current month

entity
integer

Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array

entity_rollup
boolean
default:false

If true, includes all data of children entities in consolidation

start_date
string<date>

Earliest date (inclusive) for which to retrieve data. Defaults to six months ago

Response

200 - application/json
transaction_activity
object